公开资料
GET
/v3/user/me需用户授权user:read调试
未配置令牌设置令牌后才能发送请求
响应字段
avatar *MediaAssetDto | null头像
bio *string | null个人简介
equipped_badges *EquippedBadgeDto[]当前佩戴的徽章
equipped_frame *EquippedFrameDto | null当前佩戴的头像框
follower_count *number粉丝数
following_count *number关注数
head_cover *MediaAssetDto | null个人主页封面
id *number用户 ID
is_following *boolean请求方是否已关注该用户;查看自己的资料时恒为 false
is_mutual *boolean是否与该用户互相关注;查看自己的资料时恒为 false
mobile_head_cover *MediaAssetDto | null移动端个人主页封面
name *string用户名
nickname *string | null昵称
role *"USER" | "ADMIN" | "SUPER_ADMIN"用户角色
- ADMIN
- 管理员
- SUPER_ADMIN
- 超级管理员
- USER
- 用户
signature *string | null个性签名
status *"ACTIVE" | "INACTIVE" | "BANNED"账号状态
- ACTIVE
- 正常
- BANNED
- 已封禁
- INACTIVE
- 未激活
示例
curl "https://api.hikarinagi.org/v3/user/me" \
-H "Authorization: Bearer $ACCESS_TOKEN"响应示例
{
"avatar": {
"height": 1,
"id": 1,
"src": "path/to/asset.jpg",
"width": 1
},
"bio": "string",
"equipped_badges": [
{
"decoration": {
"id": 1,
"image": {
"height": 1,
"id": 1,
"src": "path/to/asset.jpg",
"width": 1
},
"key": "string",
"name": "string",
"scale": 1
}
}
],
"equipped_frame": {
"id": 1,
"image": {
"height": 1,
"id": 1,
"src": "path/to/asset.jpg",
"width": 1
},
"key": "string",
"name": "string",
"scale": 1
},
"follower_count": 1,
"following_count": 1,
"head_cover": {
"height": 1,
"id": 1,
"src": "path/to/asset.jpg",
"width": 1
},
"id": 1,
"is_following": false,
"is_mutual": false,
"mobile_head_cover": {
"height": 1,
"id": 1,
"src": "path/to/asset.jpg",
"width": 1
},
"name": "string",
"nickname": "string",
"role": "USER",
"signature": "string",
"status": "ACTIVE"
}响应状态
200成功